import BasicPage from "../../components/basic-page-template";
import WCard from "../../components/werefox-card";
import PBlock from "../../components/project-block";

const CARDS = {
  mastodon: {
    title: "Mastodon",
    url: "https://masto.werefox.dev/about/",
    src: "/emoji/mastodon-logo.png",
    alt: "The Mastodon logo",
    description: `Mastodon is an online, self-hosted social media, and social networking service. 
    It allows anyone to host their own server node in the network, and its various separately 
    operated user bases are federated across many different servers.`,
  },
  pinafore: {
    title: "Pinafore",
    url: "https://pina.werefox.dev/",
    src: "/emoji/pinafore_logo.svg",
    alt: "The Pinafore logo",
    description: `An alternative web client for Mastodon, focused on speed and simplicity.`,
  },
  halcyon: {
    title: "Halcyon",
    url: "https://halcyon.werefox.dev/",
    src: "/emoji/halcyon_logo.png",
    alt: "The Halcyon logo",
    description: `Halcyon is standard Twitter like client of Mastodon, And you can use it just 
    by login to your instance. Let's Toot like a tweet.`,
  },
  brutaldon: {
    title: "Brutaldon",
    url: "https://brutal.werefox.dev/",
    src: "/emoji/brutaldon_logo.png",
    alt: "The Brutaldon logo",
    description: `Brutaldon is a brutalist, Web 1.0 web interface for Mastodon and Pleroma.`,
  },
  peertube: {
    title: "PeerTube",
    url: "https://vid.werefox.dev/",
    src: "/emoji/peertube_logo.svg",
    alt: "The PeerTube logo",
    description: `PeerTube is a free and open-source, decentralized, federated video platform 
    powered by ActivityPub and WebTorrent, that uses peer-to-peer technology to reduce load on 
    individual servers when viewing videos.`,
  },
  element: {
    title: "Element",
    url: "https://elem.werefox.dev/",
    src: "/emoji/element_logo.svg",
    alt: "The Element logo",
    description: `Element (previously Riot) is an all-in-one secure chat app for teams, 
    friends and organisations. Keeps conversations in your control, safe from data-mining 
    and ads. Talk to everyone through the open global Matrix network, protected by proper 
    end-to-end encryption. (additionally, I host a Matrix server at matrix.werefox.dev)`,
  },
  gitea: {
    title: "Gitea",
    url: "https://gitea.werefox.dev/",
    src: "/emoji/gitea_logo.svg",
    alt: "The Gitea logo",
    description: `A painless self-hosted Git service. Gitea is a community managed 
    lightweight code hosting solution written in Go. It is published under the MIT license.`,
  },
};

export default function Projects() {
  return (
    <BasicPage page_title="Werefox Projects" card_title="Some stuff I do!">
      <WCard>
        <PBlock title="Services" cards={CARDS} />
      </WCard>
    </BasicPage>
  );
}
